package kr.co.uplus.ez.api.riskMgt.dto;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class MsgDeleteIntrcpResDto extends ResponseMessage implements Serializable{

	@ApiModelProperty(example = "데이터")
	private Object data;

	public MsgDeleteIntrcpResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public MsgDeleteIntrcpResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public MsgDeleteIntrcpResDto(ApiResponseCode returnStr, Object data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}

}
